<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [getSaveData](./bitburner.singularity.getsavedata.md)

## Singularity.getSaveData() method

This function returns the save data.

**Signature:**

```typescript
getSaveData(): Promise<Uint8Array<ArrayBuffer>>;
```
**Returns:**

Promise&lt;Uint8Array&lt;ArrayBuffer&gt;&gt;

## Remarks

RAM cost: 1 GB \* 16/4/1

